Socket
Socket
Sign inDemoInstall

@superform-xyz/sup-core-ui

Package Overview
Dependencies
9
Maintainers
0
Versions
123
Alerts
File Explorer

Advanced tools

Install Socket

Detect and block malicious and high-risk dependencies

Install

@superform-xyz/sup-core-ui

Superform UI components


Version published
Weekly downloads
49
decreased by-89.62%
Maintainers
0
Created
Weekly downloads
 

Readme

Source

Welcome to Superform Core UI library 👋

Version Documentation License: MIT Twitter: superformxyz

Superform UI components

🏠 Storybook

Requirements

  • node >=18.16.0
  • nvm >=0.38.0
  • npm >=6.14.0

Development

# make sure you have node v18.16.0 installed or nvm installed & configured to use .nvmrc
npm install

# build the library to release / use it as a dependency locally
npm run build
# or run the storybook instance to develop components
npm run storybook

Storybook

npm run storybook # run storybook instance on http://localhost:6006
npm run storybook:build # build storybook static version to /.next folder

Run tests

npm run test
# or run tests in CI-mode
npm run test:ci

Author

👤 Superform

Show your support

Give a ⭐️ if this project helped you!


This README was generated with ❤️ by readme-md-generator

Keywords

FAQs

Last updated on 25 Jun 2024

Did you know?

Socket

Socket for GitHub automatically highlights issues in each pull request and monitors the health of all your open source dependencies. Discover the contents of your packages and block harmful activity before you install or update your dependencies.

Install

Related posts

SocketSocket SOC 2 Logo

Product

  • Package Alerts
  • Integrations
  • Docs
  • Pricing
  • FAQ
  • Roadmap

Packages

Stay in touch

Get open source security insights delivered straight into your inbox.


  • Terms
  • Privacy
  • Security

Made with ⚡️ by Socket Inc